Last Comment Bug 751697 - Upgrade to zlib 1.2.7
: Upgrade to zlib 1.2.7
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Daniel Jeter II
:
Mentors:
http://www.zlib.net/ChangeLog.txt
Depends on: 722391
Blocks: 866964
  Show dependency treegraph
 
Reported: 2012-05-03 13:40 PDT by Daniel Holbert [:dholbert]
Modified: 2013-04-30 04:00 PDT (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch to upgrade zlib to 1.2.7 (61.85 KB, patch)
2012-05-05 01:10 PDT, Daniel Jeter II
joe: review+
Details | Diff | Splinter Review

Description Daniel Holbert [:dholbert] 2012-05-03 13:40:09 PDT
zlib 1.2.7 was released yesterday.

From http://www.zlib.net/ :
{{
Version 1.2.7 has many portability improvements over 1.2.6, and has these enhancements:

    Fix bug in gzclose_w() when gzwrite() fails to allocate memory
    Add "x" (O_EXCL) and "e" (O_CLOEXEC) modes support to gzopen()
    Add gzopen_w() in Windows for wide character path names
    Fix type mismatch between get_crc_table() and crc_table 
}}

Filing this bug to track taking the upgrade (assuming that we want to take the upgrade).
Comment 1 Daniel Jeter II 2012-05-05 01:10:39 PDT
Created attachment 621264 [details] [diff] [review]
Patch to upgrade zlib to 1.2.7
Comment 2 Joe Drew (not getting mail) 2012-05-07 14:11:04 PDT
Comment on attachment 621264 [details] [diff] [review]
Patch to upgrade zlib to 1.2.7

Review of attachment 621264 [details] [diff] [review]:
-----------------------------------------------------------------

rs=me
Comment 3 Ryan VanderMeulen [:RyanVM] 2012-05-07 14:14:59 PDT
Forgot to mention that this was "green" on Try (at least, given the currently-accepted definition of green).
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-05-07 15:35:53 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/afe5651a18dc
Comment 5 Ed Morley [:emorley] 2012-05-08 03:20:29 PDT
https://hg.mozilla.org/mozilla-central/rev/afe5651a18dc

Note You need to log in before you can comment on or make changes to this bug.